Autor Téma: Po instalaci skypu nesplněné závislosti.  (Přečteno 3018 krát)

Offline Chriss46

  • Nováček
  • *
  • Příspěvků: 10
    • Zobrazit profil
Po instalaci skypu nesplněné závislosti.
« kdy: 24. 04. 2016, 13:49:17 »
Ahoj, sice jsem našel podobné téma, ale bohužel jsem nenašel co by bylo pro mě ukazující.
Jsem opět nováčkem na Debiku (sice jsem ho již onehdá zkoušel, ale to bylo s pomocí kamaráda, ke kterému již nemám přístup).
Takže k problému:
Mám problém po instalaci na Debian Testing x64.
Skype jsem tam sice dostal, ale pokud chci nainstalovat nějaký další program píše to:
Kód: [Vybrat]
jeza@earth:~$ sudo apt-get install gparted
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
gparted je již nejnovější verze (0.25.0-1).
Pro opravení následujících můžete spustit „apt-get -f install“:
Následující balíky mají nesplněné závislosti:
 skype:i386 : Závisí na: libssl1.0.0:i386 ale nedá se nainstalovat
E: Nesplněné závislosti. Zkuste spustit „apt-get -f install“ bez balíků (nebo navrhněte řešení).
Když použiju příkaz apt-get -f install tak mi to chce odebrat skypa :)
Chápu, že to bude pro vás primitivní řešení, ale prosím nesuďte mě :)

Jinak PC:
8Gb RAM
Intel core i7
GeForce GTX 560 Ti
doplním to do podpisu :)
« Poslední změna: 24. 04. 2016, 16:04:18 od Chriss46 »
8Gb RAM
Intel core i7
GeForce GTX 560 Ti
ASUS SABERTOOTH P67

Jsem zvídavý člověk, který nemá rád nudu a smutek.. proto jedu na Linux :)

Offline Petr Krčmář

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 473
  • Linuxák na plný úvazek
    • Zobrazit profil
    • www.petrkrcmar.cz
Re:Po instalaci skypu nesplněné závislosti.
« Odpověď #1 kdy: 24. 04. 2016, 19:46:11 »
Je to tím, že v testingu balíček  libssl1.0.0 neexistuje. Je tam jen libssl1.0.2. Řešením je ukecat Microsoft, aby ten balík vydal proti aktuálním verzím knihoven. Což se asi nepovede. Takže doporučuji pohledat staticky linkovanou verzi (kdysi existovala), která žádné další závislostí nemá.

Offline Chriss46

  • Nováček
  • *
  • Příspěvků: 10
    • Zobrazit profil
Re:Po instalaci skypu nesplněné závislosti.
« Odpověď #2 kdy: 24. 04. 2016, 20:10:36 »
Aha, a to pro mě znamená? :) jak jsem již psal jsem začínající uživatel prakticky od nuly (přešel jsem z Mintů, takže s tímto moc zkušeností nemám.)
Jinak mi skype funguje bez problému - napadlo mě, nedá se systém ukecat, že je to momentálně OK a že to nemusí řešit? :)
8Gb RAM
Intel core i7
GeForce GTX 560 Ti
ASUS SABERTOOTH P67

Jsem zvídavý člověk, který nemá rád nudu a smutek.. proto jedu na Linux :)

Offline 7R7.

  • Začátečník
  • **
  • Příspěvků: 72
    • Zobrazit profil
  • Jabber: i-rs@jabbim.sk
Re:Po instalaci skypu nesplněné závislosti.
« Odpověď #3 kdy: 25. 04. 2016, 10:17:17 »
Pozrel som si v systéme čo mám, nakoľko mám tiež testing a mám nainštalovaný skype
# dpkg -l | grep libssl1.0.0
ii  libssl1.0.0:amd64                                 1.0.2d-1                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.0.0:i386                                     1.0.2d-1                            i386            Secure Sockets Layer toolkit - shared libraries
táto verzia je ešte vo vetve Sid tak si ju skús stiahnuť napríklad odtiaľto https://packages.debian.org/sid/libssl1.0.0 a nainštaluj si ju ručne cez gdebi alebo pomocou dpkg v konzole.
A asi mi v systéme tento balík zostal kvôli skypu lebo mám aj vyššiu verziu
# dpkg -l | grep libssl1.0.
ii  libssl1.0.0:amd64                                 1.0.2d-1                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.0.0:i386                                     1.0.2d-1                            i386            Secure Sockets Layer toolkit - shared libraries
ii  libssl1.0.2:amd64                                 1.0.2g-1                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.0.2:i386                                     1.0.2g-1                            i386            Secure Sockets Layer toolkit - shared libraries

Offline Chriss46

  • Nováček
  • *
  • Příspěvků: 10
    • Zobrazit profil
Re:Po instalaci skypu nesplněné závislosti.
« Odpověď #4 kdy: 25. 04. 2016, 16:55:54 »
Děkuji pomohlo doinstalovat manuálně stažený libssl1.0.0 a vše už je OK :)
Prosím Lock :)
8Gb RAM
Intel core i7
GeForce GTX 560 Ti
ASUS SABERTOOTH P67

Jsem zvídavý člověk, který nemá rád nudu a smutek.. proto jedu na Linux :)